Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 481904 - sys-devel/automake-1.13.4 sys-devel/automake-wrapper-9 stable request
Summary: sys-devel/automake-1.13.4 sys-devel/automake-wrapper-9 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: automake-1.13
Blocks: gnome-3.8-stable
  Show dependency tree
 
Reported: 2013-08-21 10:12 UTC by Pacho Ramos
Modified: 2013-09-21 11:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2013-08-21 10:12:13 UTC
If it's too hard to stabilize, we should try to drop the package from gnome 3.8 stabilization that will need this but, otherwise, would be nice to have (since the major breakers were moved to 1.14 if I don't misremember)
Comment 1 SpanKY gentoo-dev 2013-08-27 05:15:19 UTC
why exactly is automake-1.13 *necessary* to make gnome-3.8 stable ?

the automake-1.13 bug lists quite a lot broken packages many of which are not even fixed in unstable let alone pushed to stable
Comment 2 Pacho Ramos gentoo-dev 2013-08-27 06:37:46 UTC
Looks like newer versions of gnome-extra/activity-log-manager (will CC jlec as he did the changes, if too hard we probably could go with older versions or completely skip it)

Regarding the tracker, most of its blockers are AM_CONFIG_HEADER and AM_PROG_CC_STDC related that should be moved to 1.14 tracker instead
Comment 3 Justin Lecher gentoo-dev 2013-08-27 06:56:13 UTC
***** automake *****
***** PWD: /var/tmp/portage/gnome-extra/activity-log-manager-0.9.7/work/activity-log-manager-0.9.7
***** automake --add-missing --copy

configure.ac:13: error: require Automake 1.13, but have 1.12.6

That's why.
Comment 4 Samuli Suominen gentoo-dev 2013-08-27 13:55:38 UTC
(In reply to SpanKY from comment #1)
> the automake-1.13 bug lists quite a lot broken packages many of which are
> not even fixed in unstable let alone pushed to stable

automake-1.13.2 had AM_CONFIG_HEADER as a fatal error in favour of AC_CONFIG_HEADERS, and then again non-fatal in 1.13.4 which is asked to be stabilized here
and if you look more closely to the list of reported bugs open in the Tracker:
https://bugs.gentoo.org/showdependencytree.cgi?id=451744&hide_resolved=1
you'll find out 99% of them are about AM_CONFIG_HEADER which isn't anymore fatal, but will be in future (was it 1.14 or 2.0, can't remember now)

so based on the Tracker, stabilization would be possible
Comment 5 SpanKY gentoo-dev 2013-08-27 23:28:49 UTC
(In reply to Samuli Suominen from comment #4)

SGTM then
Comment 6 Jeroen Roovers gentoo-dev 2013-08-28 11:22:35 UTC
Stable for HPPA.
Comment 7 Agostino Sarubbo gentoo-dev 2013-08-31 09:20:45 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-08-31 14:47:54 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-09-02 08:07:03 UTC
x86 stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-09-02 21:51:28 UTC
alpha stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-09-03 11:52:16 UTC
ia64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-09-04 09:02:13 UTC
ppc stable
Comment 13 Agostino Sarubbo gentoo-dev 2013-09-05 13:26:13 UTC
ppc64 stable
Comment 14 Agostino Sarubbo gentoo-dev 2013-09-07 20:12:01 UTC
sparc stable
Comment 15 Pacho Ramos gentoo-dev 2013-09-21 11:43:15 UTC
Drop arches that will go to testing only